Groovy Documentation

## org.vertx.groovy.core.net.impl
[Groovy] Class DefaultNetClient

    java.lang.Object
      org.vertx.groovy.core.net.NetClient
          org.vertx.groovy.core.net.impl.DefaultNetClient

    class DefaultNetClient
    extends NetClient

Authors:
  Tim Fox

Field Summary

Fields inherited from class NetClient
jClient

Constructor Summary
`DefaultNetClient(VertxInternal vertx, java.util.Map props = null)`

Method Summary

Methods inherited from class NetClient

close, connect, connect, getBossThreads, getConnectTimeout, getKeyStorePassword, getKeyStorePath, getReceiveBufferSize, getReconnectAttempts, getReconnectInterval, getSendBufferSize, getTrafficClass, getTrustStorePassword, getTrustStorePath, isReuseAddress, isSSL, isSoLinger, isTCPKeepAlive, isTCPNoDelay, setBossThreads, setConnectTimeout, setKeyStorePassword, setKeyStorePath, setReceiveBufferSize, setReconnectAttempts, setReconnectInterval, setReuseAddress, setSSL, setSendBufferSize, setSoLinger, setTCPKeepAlive, setTCPNoDelay, setTrafficClass, setTrustAll, setTrustStorePassword, setTrustStorePath

Constructor Detail

### DefaultNetClient

    DefaultNetClient(VertxInternal vertx, java.util.Map props = null)

Groovy Documentation